## kaddressbook 25.11.80

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.80")
project(kaddressbook VERSION ${PIM_VERSION})
# Update it for each release
set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd

set(RELEASE_SERVICE_VERSION "25.11.80")
set(KF_MIN_VERSION "6.18.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMSetupVersion)
include(ECMAddTests)
include(ECMCheckOutboundLicense)
include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    kontactplugin/*.cpp
    kontactplugin/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

# Do NOT add quote
set(KDEPIM_DEV_VERSION beta)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(AKONADI_VERSION "6.5.80")
set(KONTACTINTERFACE_LIB_VERSION "6.5.80")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Test
        DBus
        PrintSupport
)
set(LIBKDEPIM_LIB_VERSION "6.5.80")
set(LIBGRANTLEETHEME_LIB_VERSION "6.5.80")
set(PIMCOMMON_LIB_VERSION "6.5.80")
set(AKONADI_SEARCH_VERSION "6.5.80")
set(AKONADI_CONTACT_VERSION "6.5.80")
set(KLDAP_LIB_VERSION "6.5.80")

# Find KF6 package
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

find_package(KF6UserFeedback ${KF_MIN_VERSION})
set_package_properties(
    KF6UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional)."
)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapCore ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
if(UNIX)
    find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
else()
    find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
    set_package_properties(
        KPim6AkonadiSearch
        PROPERTIES
            DESCRIPTION
                "The Akonadi Search libraries"
            URL
                "https://invent.kde.org/pim/akonadi-search"
            TYPE
                OPTIONAL
            PURPOSE
                "Provides search capabilities in KAddressbook and Akonadi (only debug)"
    )
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    add_definitions(-DFORCE_DISABLE_AKONADI_SEARCH)
endif()

find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)

set(KTEXTADDONS_MIN_VERSION "1.8.0")

find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
endif()

include_directories(
    ${kaddressbook_SOURCE_DIR}
    ${kaddressbook_BINARY_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook\")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0
     KF 6.20.0
)

if(TARGET KF6::UserFeedbackWidgets)
    set(KADDRESSBOOK_WITH_KUSERFEEDBACK true)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities (experimental)" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION
                        "Allow to compile with plasma activities"
                    TYPE
                        OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

configure_file(config-kaddressbook.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kaddressbook.h)

add_subdirectory(src)
add_subdirectory(kontactplugin)

ecm_qt_install_logging_categories(
        EXPORT KADDRESSBOOK
        FILE kaddressbook.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    kontactplugin/*.cpp
    kontactplugin/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
configure_file(kaddressbook-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kaddressbook-version.h @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/printing/)

add_subdirectory(icons)
add_subdirectory(printing)
add_subdirectory(configuration)
add_subdirectory(importexport)

add_library(kaddressbookprivate)

target_sources(
    kaddressbookprivate
    PRIVATE
        printing/detailed/detailledstyle.cpp
        printing/mike/mikesstyle.cpp
        printing/printingwizard.cpp
        printing/printprogress.cpp
        printing/printstyle.cpp
        printing/ringbinder/ringbinderstyle.cpp
        printing/compact/compactstyle.cpp
        printing/grantlee/grantleeprintstyle.cpp
        printing/stylepage.cpp
        plugininterface/kaddressbookplugininterface.cpp
        aboutdata.cpp
        categoryfilterproxymodel.cpp
        categoryselectwidget.cpp
        contactinfoproxymodel.cpp
        contactsorter.cpp
        contactswitcher.cpp
        globalcontactmodel.cpp
        mainwidget.cpp
        uistatesaver.cpp
        manageshowcollectionproperties.cpp
        modelcolumnmanager.cpp
        stylecontactlistdelegate.cpp
        widgets/quicksearchwidget.cpp
        printing/detailed/detailledstyle.h
        printing/mike/mikesstyle.h
        printing/printingwizard.h
        printing/printprogress.h
        printing/printstyle.h
        printing/ringbinder/ringbinderstyle.h
        printing/compact/compactstyle.h
        printing/grantlee/grantleeprintstyle.h
        printing/stylepage.h
        plugininterface/kaddressbookplugininterface.h
        aboutdata.h
        categoryfilterproxymodel.h
        categoryselectwidget.h
        contactinfoproxymodel.h
        contactsorter.h
        contactswitcher.h
        globalcontactmodel.h
        mainwidget.h
        uistatesaver.h
        manageshowcollectionproperties.h
        modelcolumnmanager.h
        stylecontactlistdelegate.h
        widgets/quicksearchwidget.h
        contactentitymimetypefiltermodel.h
        contactentitymimetypefiltermodel.cpp
        configuredialog.h
        configuredialog.cpp
        whatsnew/whatsnewtranslations.cpp
        whatsnew/whatsnewtranslations.h
)

ki18n_wrap_ui(kaddressbookprivate
    printing/ringbinder/rbs_appearance.ui
    printing/detailed/ds_appearance.ui
    printing/compact/compactstyle.ui
)

if(TARGET KF6::UserFeedbackWidgets)
    target_sources(
        kaddressbookprivate
        PRIVATE
            userfeedback/userfeedbackmanager.cpp
            userfeedback/kaddressbookuserfeedbackprovider.cpp
            userfeedback/userfeedbackmanager.h
            userfeedback/kaddressbookuserfeedbackprovider.h
    )
endif()

if(HAVE_ACTIVITY_SUPPORT)
    target_sources(
        kaddressbookprivate
        PRIVATE
            activities/activitiesmanager.h
            activities/activitiesmanager.cpp
            activities/ldapactivities.cpp
            activities/ldapactivities.h
            activities/accountactivities.h
            activities/accountactivities.cpp
    )
    if(BUILD_TESTING)
        add_subdirectory(activities/autotests)
    endif()
endif()

ecm_qt_declare_logging_category(kaddressbookprivate HEADER kaddressbook_debug.h IDENTIFIER KADDRESSBOOK_LOG CATEGORY_NAME org.kde.pim.kaddressbook
        DESCRIPTION "kaddressbook (kaddressbook)"
        OLD_CATEGORY_NAMES log_kaddressbook
        EXPORT KADDRESSBOOK
)

ecm_qt_declare_logging_category(kaddressbookprivate HEADER kaddressbook_activities_debug.h IDENTIFIER KADDRESSBOOK_ACTIVITIES_LOG CATEGORY_NAME org.kde.pim.kaddressbook.activities
        DESCRIPTION "kaddressbook activities (kaddressbook)"
        EXPORT KADDRESSBOOK
)

qt_add_dbus_adaptor(kaddressbook_LIB_SRCS org.kde.kaddressbook.xml mainwidget.h MainWidget)
target_sources(kaddressbookprivate PRIVATE ${kaddressbook_LIB_SRCS})

kconfig_add_kcfg_files(kaddressbookprivate settings/settings.kcfgc)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kaddressbookprivate
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(kaddressbookprivate BASE_NAME kaddressbook)
target_link_libraries(
    kaddressbookprivate
    PUBLIC
        KPim6::PimCommonAkonadi
    PRIVATE
        KPim6AddressbookImportExport
        KPim6::Libkdepim
        KPim6::AkonadiCore
        KF6::Contacts
        KPim6::AkonadiContactWidgets
        KF6::KCMUtils
        KPim6::GrantleeTheme
        KF6::Completion
        KF6::XmlGui
        KF6::JobWidgets
        KF6::KIOWidgets
        Qt::PrintSupport
        KF6::I18n
        KF6::ColorScheme
        KF6::TextAddonsWidgets
)
if(TARGET KF6::UserFeedbackWidgets)
    target_link_libraries(kaddressbookprivate PRIVATE KF6::UserFeedbackWidgets)
endif()

if(HAVE_ACTIVITY_SUPPORT)
    target_link_libraries(
        kaddressbookprivate
        PRIVATE
            KPim6::PimCommonActivities
            KPim6::LdapCore
    )
endif()

if(KPim6AkonadiSearch_FOUND)
    target_link_libraries(kaddressbookprivate PRIVATE KPim6::AkonadiSearchDebug)
endif()

target_include_directories(
    kaddressbookprivate
    PUBLIC
        "$<BUILD_INTERFACE:${kaddressbook_SOURCE_DIR};${kaddressbook_BINARY_DIR}>"
)

set_target_properties(
    kaddressbookprivate
    PROPERTIES
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
)
install(
    TARGETS
        kaddressbookprivate
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY
        NAMELINK_SKIP
)

########### next target ###############

add_executable(kaddressbook)
target_sources(
    kaddressbook
    PRIVATE
        kaddressbook_debug.cpp
        mainwindow.cpp
        mainwindow.h
        main.cpp
        kaddressbook.qrc
)
if(TARGET KF6::IconThemes)
    target_link_libraries(kaddressbook KF6::IconThemes)
endif()

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kaddressbook.png")
ecm_add_app_icon(kaddressbook ICONS ${ICONS_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kaddressbook
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
if(TARGET KF6::UserFeedbackWidgets)
    target_link_libraries(kaddressbook KF6::UserFeedbackWidgets)
endif()

target_link_libraries(
    kaddressbook
    KF6::I18n
    KPim6::KontactInterface
    kaddressbookprivate
    KF6::Crash
    KF6::TextAddonsWidgets
)

install(
    TARGETS
        kaddressbook
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)
install(
    PROGRAMS
        data/org.kde.kaddressbook.desktop
        data/kaddressbook-view.desktop
        data/kaddressbook-importer.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)
install(FILES data/org.kde.kaddressbook.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

####################################"
add_library(kaddressbookpart MODULE)

target_sources(
    kaddressbookpart
    PRIVATE
        kaddressbookpart.cpp
        kaddressbookpart.h
        kaddressbook_debug.cpp
        kaddressbook.qrc
)
target_link_libraries(
    kaddressbookpart
    kaddressbookprivate
    KF6::I18n
    KF6::Parts
    KF6::TextAddonsWidgets
)
install(TARGETS kaddressbookpart DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(
    FILES
        viewertemplates/contact.html
        viewertemplates/contact_embedded.html
        viewertemplates/contact_row.html
        viewertemplates/contactgroup.html
        viewertemplates/contactgroup_embedded.html
        viewertemplates/contactgroup_additionalfieldrow.html
        viewertemplates/contactgroup_memberrow.html
        viewertemplates/theme.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/kaddressbook/viewertemplates/default/
)

install(DIRECTORY printing/grantlee/themes/ DESTINATION ${KDE_INSTALL_DATADIR}/kaddressbook/printing/themes/)

=== debian/changelog ===
kaddressbook (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:53:53 +0000

kaddressbook (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:21:27 +0000

=== debian/control ===
Source: kaddressbook
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.11.80~),
               libakonadicontact-dev (>= 4:25.11.80~),
               libakonadisearch-dev (>= 4:25.11.80~),
               libgrantleetheme-dev (>= 25.11.80~),
               libkdepim-dev (>= 4:25.11.80~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkldap-dev (>= 25.11.80~),
               libkontactinterface-dev (>= 25.11.80~),
               libpimcommon-dev (>= 4:25.11.80~),
               libplasmaactivities-dev (>= 6.1.0~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kaddressbook
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
Rules-Requires-Root: no

Package: kaddressbook
Section: utils
Architecture: any
Depends: akonadi-server,
         kaddressbook-data (= ${source:Version}),
         kdepim-runtime [amd64 arm64 armhf i386],
         libakonadisearch-bin,
         libakonadisearch-plugins,
         libkpim6addressbookimportexport6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdepim-addons,
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.

Package: kaddressbook-data
Architecture: all
Multi-Arch: foreign
Replaces: kaddressbook (<< 4:21.04.0~),
Breaks: kaddressbook (<< 4:21.04.0~),
Depends: ${misc:Depends},
Description: address book and contact data manager - data files
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the data files.

Package: libkaddressbook-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim6addressbookimportexport6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library - development files
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the development files.

Package: libkpim6addressbookimportexport6
Provides: ${ABI:VirtualPackage},
Section: libs
Architecture: any
Multi-Arch: same
Depends: kaddressbook-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the libary used for the import and and export of
 contacts.

## kaddressbook 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(kaddressbook VERSION ${PIM_VERSION})
 # Update it for each release
-set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
-
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.27") # yy.MM.dd
+
+set(RELEASE_SERVICE_VERSION "25.11.90")
 set(KF_MIN_VERSION "6.18.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
@@ -53,7 +53,7 @@
 include(CheckFunctionExists)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION rc)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -62,8 +62,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_VERSION "6.5.80")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.90")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.90")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -78,12 +78,12 @@
         DBus
         PrintSupport
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
-set(AKONADI_SEARCH_VERSION "6.5.80")
-set(AKONADI_CONTACT_VERSION "6.5.80")
-set(KLDAP_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.5.90")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(AKONADI_SEARCH_VERSION "6.5.90")
+set(AKONADI_CONTACT_VERSION "6.5.90")
+set(KLDAP_LIB_VERSION "6.5.90")
 
 # Find KF6 package
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kaddressbook (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:00:08 +0000

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicontact-dev (>= 4:25.11.80~),
-               libakonadisearch-dev (>= 4:25.11.80~),
-               libgrantleetheme-dev (>= 25.11.80~),
-               libkdepim-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicontact-dev (>= 4:25.11.90~),
+               libakonadisearch-dev (>= 4:25.11.90~),
+               libgrantleetheme-dev (>= 25.11.90~),
+               libkdepim-dev (>= 4:25.11.90~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
@@ -25,9 +25,9 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
-               libkldap-dev (>= 25.11.80~),
-               libkontactinterface-dev (>= 25.11.80~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libkldap-dev (>= 25.11.90~),
+               libkontactinterface-dev (>= 25.11.90~),
+               libpimcommon-dev (>= 4:25.11.90~),
                libplasmaactivities-dev (>= 6.1.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),

## kaddressbook 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 project(kaddressbook VERSION ${PIM_VERSION})
 # Update it for each release
-set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.27") # yy.MM.dd
-
-set(RELEASE_SERVICE_VERSION "25.11.90")
+set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.12.11") # yy.MM.dd
+
+set(RELEASE_SERVICE_VERSION "25.12.0")
 set(KF_MIN_VERSION "6.18.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
@@ -53,7 +53,7 @@
 include(CheckFunctionExists)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -62,8 +62,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_VERSION "6.5.90")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.6.0")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.0")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -78,12 +78,12 @@
         DBus
         PrintSupport
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.90")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.90")
-set(PIMCOMMON_LIB_VERSION "6.5.90")
-set(AKONADI_SEARCH_VERSION "6.5.90")
-set(AKONADI_CONTACT_VERSION "6.5.90")
-set(KLDAP_LIB_VERSION "6.5.90")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(AKONADI_SEARCH_VERSION "6.6.0")
+set(AKONADI_CONTACT_VERSION "6.6.0")
+set(KLDAP_LIB_VERSION "6.6.0")
 
 # Find KF6 package
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kaddressbook (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:15:28 +0000

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicontact-dev (>= 4:25.11.90~),
-               libakonadisearch-dev (>= 4:25.11.90~),
-               libgrantleetheme-dev (>= 25.11.90~),
-               libkdepim-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicontact-dev (>= 4:25.12.0~),
+               libakonadisearch-dev (>= 4:25.12.0~),
+               libgrantleetheme-dev (>= 25.12.0~),
+               libkdepim-dev (>= 4:25.12.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
@@ -25,9 +25,9 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
-               libkldap-dev (>= 25.11.90~),
-               libkontactinterface-dev (>= 25.11.90~),
-               libpimcommon-dev (>= 4:25.11.90~),
+               libkldap-dev (>= 25.12.0~),
+               libkontactinterface-dev (>= 25.12.0~),
+               libpimcommon-dev (>= 4:25.12.0~),
                libplasmaactivities-dev (>= 6.1.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),

## kaddressbook 25.12.0+p24.04+vstable+git20260105.1029

=== debian/changelog ===
kaddressbook (4:25.12.0+p24.04+vstable+git20260105.1029-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:29:10 +0000

kaddressbook (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:41:13 +1000

## kaddressbook 25.12.1

=== debian/changelog ===
kaddressbook (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:37:25 +0100

kaddressbook (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:49:23 +0100

kaddressbook (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:58:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,43 @@
 Source: kaddressbook
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
-               libakonadi-dev (>= 4:25.12.0~),
-               libakonadicontact-dev (>= 4:25.12.0~),
-               libakonadisearch-dev (>= 4:25.12.0~),
-               libgrantleetheme-dev (>= 25.12.0~),
-               libkdepim-dev (>= 4:25.12.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6crash-dev (>= 6.6.0~),
-               libkf6dbusaddons-dev (>= 6.6.0~),
-               libkf6doctools-dev (>= 6.6.0~),
-               libkf6iconthemes-dev (>= 6.6.0~),
-               libkf6kcmutils-dev (>= 6.6.0~),
-               libkf6userfeedback-dev (>= 6.6.0~),
-               libkldap-dev (>= 25.12.0~),
-               libkontactinterface-dev (>= 25.12.0~),
-               libpimcommon-dev (>= 4:25.12.0~),
-               libplasmaactivities-dev (>= 6.1.0~),
+               libakonadi-dev (>= 4:25.12.1~),
+               libakonadicontact-dev (>= 4:25.12.1~),
+               libakonadisearch-dev (>= 4:25.12.1~),
+               libgrantleetheme-dev (>= 25.12.1~),
+               libkdepim-dev (>= 4:25.12.1~),
+               libkf6colorscheme-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6crash-dev (>= 6.18.0~),
+               libkf6dbusaddons-dev (>= 6.18.0~),
+               libkf6doctools-dev (>= 6.18.0~),
+               libkf6iconthemes-dev (>= 6.18.0~),
+               libkf6kcmutils-dev (>= 6.18.0~),
+               libkf6userfeedback-dev (>= 6.18.0~),
+               libkldap-dev (>= 25.12.1~),
+               libkontactinterface-dev (>= 25.12.1~),
+               libktextaddons-dev (>= 1.8.0~),
+               libpimcommon-dev (>= 4:25.12.1~),
+               libplasmaactivities-dev (>= 6.3.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
-Standards-Version: 4.7.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/kaddressbook
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaddressbook
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaddressbook.git
 Rules-Requires-Root: no
 
 Package: kaddressbook

## kaddressbook 25.12.1+p24.04+vstable+git20260131.0344

=== debian/changelog ===
kaddressbook (4:25.12.1+p24.04+vstable+git20260131.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:44:36 +0000

kaddressbook (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:32:15 +1000

## kaddressbook 25.12.1+p24.04+vunstable+git20260205.0837

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.0")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 project(kaddressbook VERSION ${PIM_VERSION})
 # Update it for each release
-set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.12.11") # yy.MM.dd
-
-set(RELEASE_SERVICE_VERSION "25.12.0")
-set(KF_MIN_VERSION "6.18.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KADDRESSBOOK_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
+
+set(RELEASE_SERVICE_VERSION "26.03.40")
+set(KF_MIN_VERSION "6.21.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -39,21 +38,49 @@
 if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
     if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
         file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
-        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
+        string(
+            FIND "${FILE_CONTENTS}"
+            "File generated by pre-commit"
+            INDEX
+        )
         if(${INDEX} GREATER_EQUAL 0)
             set(PRE_COMMIT_INSTALLED TRUE)
         endif()
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 include(CheckFunctionExists)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -62,8 +89,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_VERSION "6.6.0")
-set(KONTACTINTERFACE_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -78,12 +105,12 @@
         DBus
         PrintSupport
 )
-set(LIBKDEPIM_LIB_VERSION "6.6.0")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.0")
-set(PIMCOMMON_LIB_VERSION "6.6.0")
-set(AKONADI_SEARCH_VERSION "6.6.0")
-set(AKONADI_CONTACT_VERSION "6.6.0")
-set(KLDAP_LIB_VERSION "6.6.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.41")
+set(AKONADI_SEARCH_VERSION "6.6.40")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(KLDAP_LIB_VERSION "6.6.40")
 
 # Find KF6 package
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -146,13 +173,9 @@
 find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
 find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_MIN_VERSION "1.9.1")
 
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
-
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
 
 include_directories(
     ${kaddressbook_SOURCE_DIR}
@@ -161,8 +184,13 @@
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.20.0
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0
+     KF 6.22.0
 )
 
 if(TARGET KF6::UserFeedbackWidgets)
@@ -188,7 +216,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.3.0")
+            find_package(PlasmaActivities "6.4.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES
@@ -207,6 +235,17 @@
 
 configure_file(config-kaddressbook.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kaddressbook.h)
 
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
+endif()
+
 add_subdirectory(src)
 add_subdirectory(kontactplugin)

=== debian/changelog ===
kaddressbook (4:25.12.1+p24.04+vunstable+git20260205.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:37:29 +0000

## kaddressbook 25.12.2

=== debian/changelog ===
kaddressbook (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:39:15 +0000

kaddressbook (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:58:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,40 @@
 Source: kaddressbook
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.12.1~),
-               libakonadicontact-dev (>= 4:25.12.1~),
-               libakonadisearch-dev (>= 4:25.12.1~),
-               libgrantleetheme-dev (>= 25.12.1~),
-               libkdepim-dev (>= 4:25.12.1~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6doctools-dev (>= 6.18.0~),
-               libkf6iconthemes-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6userfeedback-dev (>= 6.18.0~),
-               libkldap-dev (>= 25.12.1~),
-               libkontactinterface-dev (>= 25.12.1~),
-               libktextaddons-dev (>= 1.8.0~),
-               libpimcommon-dev (>= 4:25.12.1~),
-               libplasmaactivities-dev (>= 6.3.0~),
+               libakonadi-dev (>= 4:25.12.2~),
+               libakonadicontact-dev (>= 4:25.12.2~),
+               libakonadisearch-dev (>= 4:25.12.2~),
+               libgrantleetheme-dev (>= 25.12.2~),
+               libkdepim-dev (>= 4:25.12.2~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6crash-dev (>= 6.6.0~),
+               libkf6dbusaddons-dev (>= 6.6.0~),
+               libkf6doctools-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkf6kcmutils-dev (>= 6.6.0~),
+               libkf6userfeedback-dev (>= 6.6.0~),
+               libkldap-dev (>= 25.12.2~),
+               libkontactinterface-dev (>= 25.12.2~),
+               libpimcommon-dev (>= 4:25.12.2~),
+               libplasmaactivities-dev (>= 6.1.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kaddressbook
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaddressbook
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaddressbook.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
 Rules-Requires-Root: no
 
 Package: kaddressbook

## kaddressbook 25.12.2+p24.04+vunstable+git20260207.0539

=== CMakeLists.txt ===
--- 
+++ 
@@ -190,7 +190,7 @@
     string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
 endif()
 ecm_set_disabled_deprecation_versions(QT 6.11.0
-     KF 6.22.0
+     KF 6.23.0
 )
 
 if(TARGET KF6::UserFeedbackWidgets)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,7 @@
         configuredialog.cpp
         whatsnew/whatsnewtranslations.cpp
         whatsnew/whatsnewtranslations.h
+        kaddressbook_options.h
 )
 
 ki18n_wrap_ui(kaddressbookprivate

=== src/activities/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

macro(add_kaddressbook_activities_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${ARGN}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(${_name})
    target_link_libraries(
        ${_name}
        Qt::Test
        KPim6::PimCommonActivities
        kaddressbookprivate
    )
    set_target_properties(
        ${_name}
        PROPERTIES
            DISABLE_PRECOMPILE_HEADERS
                ON
    )
endmacro()
add_kaddressbook_activities_test(activitiesmanagertest.cpp)

=== debian/changelog ===
kaddressbook (4:25.12.2+p24.04+vunstable+git20260207.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 05:39:46 +0000

kaddressbook (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:06:08 +0000
